Data Fields

# HighScore Struct Reference

## Data Fields
char | company [(MAX_LENGTH_COMPANY_NAME_CHARS+MAX_LENGTH_PRESIDENT_NAME_CHARS+5)*MAX_CHAR_LENGTH]
| The name of the company and president.
StringID | title
| NOSAVE, has troubles with changing string-numbers.
uint16 | score
| The score for this high score. Do NOT change type, will break hs.dat.

## Detailed Description

Definition at line 19 of file highscore.h.

## Field Documentation

char HighScore::company[(MAX_LENGTH_COMPANY_NAME_CHARS+MAX_LENGTH_PRESIDENT_NAME_CHARS+5)*MAX_CHAR_LENGTH]

The name of the company and president.

The + 5 is for the comma and space or possibly other characters that join the two names in this single string and the ''.

Definition at line 25 of file highscore.h.

Referenced by LoadFromHighScore(), SaveHighScoreValueNetwork(), and SaveToHighScore().

The documentation for this struct was generated from the following file:

- src/highscore.h